org.apache.poi.ss.usermodel

## Interface DataValidationConstraint

- All Known Implementing Classes:
    DVConstraint, XSSFDataValidationConstraint

      public interface DataValidationConstraint

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `DataValidationConstraint.OperatorType` Condition operator enum
    `static class` | `DataValidationConstraint.ValidationType` ValidationType enum

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String[]` | `getExplicitListValues()` If validation type is `DataValidationConstraint.ValidationType.LIST` and `formula1` was comma-separated literal values rather than a range or named range, returns list of literal values.
    `java.lang.String` | `getFormula1()`
    `java.lang.String` | `getFormula2()`
    `int` | `getOperator()`
    `int` | `getValidationType()`
    `void` | `setExplicitListValues(java.lang.String[] explicitListValues)`
    `void` | `setFormula1(java.lang.String formula1)` Sets a formula for expression 1.
    `void` | `setFormula2(java.lang.String formula2)` Sets a formula for expression 2.
    `void` | `setOperator(int operator)` Sets the comparison operator for this constraint

- - ### Method Detail

    - #### getValidationType

          int getValidationType()

      Returns:
        data validation type of this constraint
      See Also:
        `DataValidationConstraint.ValidationType`

    - #### getOperator

          int getOperator()

      Returns:
        the operator used for this constraint
      See Also:
        `DataValidationConstraint.OperatorType`

    - #### setOperator

          void setOperator(int operator)

      Sets the comparison operator for this constraint
      See Also:
        `DataValidationConstraint.OperatorType`

    - #### getExplicitListValues

          java.lang.String[] getExplicitListValues()

      If validation type is `DataValidationConstraint.ValidationType.LIST` and `formula1` was comma-separated literal values rather than a range or named range, returns list of literal values. Otherwise returns `null`.

    - #### setExplicitListValues

          void setExplicitListValues(java.lang.String[] explicitListValues)

    - #### getFormula1

          java.lang.String getFormula1()

      Returns:
        the formula for expression 1. May be `null`

    - #### setFormula1

          void setFormula1(java.lang.String formula1)

      Sets a formula for expression 1.

    - #### getFormula2

          java.lang.String getFormula2()

      Returns:
        the formula for expression 2. May be `null`

    - #### setFormula2

          void setFormula2(java.lang.String formula2)

      Sets a formula for expression 2.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.